## org.apache.cassandra.locator
Class SimpleSeedProvider

    java.lang.Object
      org.apache.cassandra.locator.SimpleSeedProvider

All Implemented Interfaces:
  SeedProvider

    public class SimpleSeedProvider

extends java.lang.Object
implements SeedProvider

Constructor Summary
`SimpleSeedProvider(java.util.Map<java.lang.String,java.lang.String> args)`

Method Summary
`void` `addSeed(java.net.InetAddress addr)`
`java.util.List<java.net.InetAddress>` `getSeeds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSeedProvider

    public SimpleSeedProvider(java.util.Map<java.lang.String,java.lang.String> args)

Method Detail

### getSeeds

    public java.util.List<java.net.InetAddress> getSeeds()

  Specified by:
    `getSeeds` in interface `SeedProvider`

### addSeed

    public void addSeed(java.net.InetAddress addr)

Copyright © 2013 The Apache Software Foundation